Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.exception
Class NoRemoteServerException

    java.lang.Object
      JSException
          jet.server.api.exception.NoRemoteServerException

    public class NoRemoteServerException

extends JSException

RemoteServer not exists Exception

Constructor Summary
`NoRemoteServerException(int msgKey)` Construct a new `NoRemoteServerException` with specified message, the cause is not initialized.
`NoRemoteServerException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`NoRemoteServerException(int msgKey, java.lang.Throwable cause)` Construct a new `NoRemoteServerException` with specified detail message and cause.
`NoRemoteServerException(java.lang.String message)` Construct a new `NoRemoteServerException` with specified message, the cause is not initialized.
`NoRemoteServerException(java.lang.Throwable cause)` Construct a new `NoRemoteServerException` with specified cause and a `null`detail message.``

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoRemoteServerException

    public NoRemoteServerException(int msgKey,
                                   java.lang.Object[] params,
                                   java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for find the message, and will be loged and showed to user.
    `params` - the parameters used for format the message string, can be null.
    `cause` - the cause (which is saved for later retrieval by the getCause.

### NoRemoteServerException

    public NoRemoteServerException(int msgKey,
                                   java.lang.Throwable cause)

  Construct a new `NoRemoteServerException` with specified detail message and cause.

  Parameters:
    `msgKey` - the message key
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### NoRemoteServerException

    public NoRemoteServerException(int msgKey)

  Construct a new `NoRemoteServerException` with specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key

### NoRemoteServerException

    public NoRemoteServerException(java.lang.Throwable cause)

  Construct a new `NoRemoteServerException` with specified cause and a `null`detail message.

  Parameters:
    `cause` - the cause.
  ``

### NoRemoteServerException

    public NoRemoteServerException(java.lang.String message)

  Construct a new `NoRemoteServerException` with specified message, the cause is not initialized.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD